Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.skype.api
Enum Participant.PROPERTY

    java.lang.Object
      java.lang.Enum<Participant.PROPERTY>
          com.skype.api.Participant.PROPERTY

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Participant.PROPERTY>

Enclosing class:
  Participant

    public static enum Participant.PROPERTY

extends java.lang.Enum<Participant.PROPERTY>

Properties of the Participant class

Enum Constant Summary
`adder` [ALL] Identity of the user who added this participant to the conversation, type: Sid.String , type: String
`convo_id` [ALL] ID of corresponding conversation.
`debuginfo` [OTHERS] call (audio and video) debug info, type: String
`identity` [ALL] skypename OR pstn_number OR namespace:identity, type: String
`last_leavereason` [OTHERS] last reason for leaving conversation or live session.
`last_voice_error` [OTHERS] DEPRECATED, use last_leavereason instead, type: String
`live_country` [OTHERS] participant livesession country code - used for emergency calls only atm, type: String
`live_fwd_identities` [OTHERS] list of identities where the live session is being forwarded (if they are disclosed), space separated, type: String
`live_identity` [ALL] identity that was used to establish current live session with that participant (can be different from participant identity), type: String
`live_price_for_me` [OTHERS] 'price_per_minute_float currency' - eg '0.01 EUR'.
`live_start_timestamp` [ALL] time of joining the live session, type: int
`live_type` [ALL] participant type during livesession as specified in IDENTITYTYPE, type: contact.IDENTITYTYPE
`quality_problems` [ALL] space separated tokens values: CPU_INUSE CPU_SLOW CPU_HIGH HIGH_ECHO HIGH_NOISE MUTED_INPUT LOW_INPUT MUTED_INPUT_ACTIVITY FW_STRONG FW_BAD NOT_UDP CALL_BW_LOW RECORD_ERROR + values in video debug info, type: String
`rank` [ALL] Participant.RANK, type: RANK
`requested_rank` Not set (should be: requested Participant.RANK, higher than the current one), type: RANK
`sound_level` [ALL] current 'loudness' level when SPEAKING (0..10), type: int
`text_status` [ALL] the typing indicator, type: TEXT_STATUS
`transferred_by` [OTHERS] Transferor identity (transferee side) , type: String
`transferred_to` [OTHERS] Identity of recipient of transfer (transferor side, caller side) , type: String
`video_status` [ALL] video status, type: VIDEO_STATUS
`voice_status` [ALL] voice status, type: VOICE_STATUS

Method Summary
`static Participant.PROPERTY` | `fromString(java.lang.String s)`
`static Participant.PROPERTY` | `get(int code)`
`int` | `getId()`
`static Participant.PROPERTY` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Participant.PROPERTY[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### convo_id

    public static final Participant.PROPERTY convo_id

  [ALL] ID of corresponding conversation. Here and below, [ALL] tag indicates that the property has meaning and is set in context of all participants in the conversation. [OTHERS] tag has meaning only for participants who are not the local user.
  , type: Conversation

### identity

    public static final Participant.PROPERTY identity

  [ALL] skypename OR pstn_number OR namespace:identity, type: String

### rank

    public static final Participant.PROPERTY rank

  [ALL] Participant.RANK, type: RANK

### requested_rank

    public static final Participant.PROPERTY requested_rank

  Not set (should be: requested Participant.RANK, higher than the current one), type: RANK

### text_status

    public static final Participant.PROPERTY text_status

  [ALL] the typing indicator, type: TEXT_STATUS

### voice_status

    public static final Participant.PROPERTY voice_status

  [ALL] voice status, type: VOICE_STATUS

### video_status

    public static final Participant.PROPERTY video_status

  [ALL] video status, type: VIDEO_STATUS

### live_identity

    public static final Participant.PROPERTY live_identity

  [ALL] identity that was used to establish current live session with that participant (can be different from participant identity), type: String

### live_price_for_me

    public static final Participant.PROPERTY live_price_for_me

  [OTHERS] 'price_per_minute_float currency' - eg '0.01 EUR'. Note that this property obtains value only after the participant goes into live state. It cannot be used to display call rates before the call starts.
  , type: String

### live_fwd_identities

    public static final Participant.PROPERTY live_fwd_identities

  [OTHERS] list of identities where the live session is being forwarded (if they are disclosed), space separated, type: String

### live_start_timestamp

    public static final Participant.PROPERTY live_start_timestamp

  [ALL] time of joining the live session, type: int

### sound_level

    public static final Participant.PROPERTY sound_level

  [ALL] current 'loudness' level when SPEAKING (0..10), type: int

### debuginfo

    public static final Participant.PROPERTY debuginfo

  [OTHERS] call (audio and video) debug info, type: String

### last_voice_error

    public static final Participant.PROPERTY last_voice_error

  [OTHERS] DEPRECATED, use last_leavereason instead, type: String

### quality_problems

    public static final Participant.PROPERTY quality_problems

  [ALL] space separated tokens values: CPU_INUSE CPU_SLOW CPU_HIGH HIGH_ECHO HIGH_NOISE MUTED_INPUT LOW_INPUT MUTED_INPUT_ACTIVITY FW_STRONG FW_BAD NOT_UDP CALL_BW_LOW RECORD_ERROR + values in video debug info, type: String

### live_type

    public static final Participant.PROPERTY live_type

  [ALL] participant type during livesession as specified in IDENTITYTYPE, type: contact.IDENTITYTYPE

### live_country

    public static final Participant.PROPERTY live_country

  [OTHERS] participant livesession country code - used for emergency calls only atm, type: String

### transferred_by

    public static final Participant.PROPERTY transferred_by

  [OTHERS] Transferor identity (transferee side)
  , type: String

### transferred_to

    public static final Participant.PROPERTY transferred_to

  [OTHERS] Identity of recipient of transfer (transferor side, caller side)
  , type: String

### adder

    public static final Participant.PROPERTY adder

  [ALL] Identity of the user who added this participant to the conversation, type: Sid.String
  , type: String

### last_leavereason

    public static final Participant.PROPERTY last_leavereason

  [OTHERS] last reason for leaving conversation or live session. provides an enum alternative to last_voice_error as well as the reason this participant RETIRED, if so, type: LEAVE_REASON

Method Detail

### values

    public static Participant.PROPERTY[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Participant.PROPERTY c : Participant.PROPERTY.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Participant.PROPERTY valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getId

    public int getId()

### get

    public static Participant.PROPERTY get(int code)

### fromString

    public static Participant.PROPERTY fromString(java.lang.String s)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.